Package org.jsoup.select

# Class Collector

java.lang.Object
org.jsoup.select.Collector

public class Collector extends Object
Collects a list of elements that match the supplied criteria.

Author:
  Jonathan Hedley

## Method Summary

Modifier and Type
Method
Description
`static Elements`
`collect(Evaluator eval, Element root)`
Build a list of elements, by visiting root and every descendant of root, and testing it against the evaluator.
`static Element`
`findFirst(Evaluator eval, Element root)`
Finds the first Element that matches the Evaluator that descends from the root, and stops the query once that first match is found.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### collect

public static Elements collect(Evaluator eval, Element root)
Build a list of elements, by visiting root and every descendant of root, and testing it against the evaluator.

Parameters:
  `eval` - Evaluator to test elements against
  `root` - root of tree to descend
Returns:
  list of matches; empty if none

### findFirst

@Nullable public static Element findFirst(Evaluator eval, Element root)
Finds the first Element that matches the Evaluator that descends from the root, and stops the query once that first match is found.

Parameters:
  `eval` - Evaluator to test elements against
  `root` - root of tree to descend
Returns:
  the first match; `null` if none